oodt-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mattmann, Chris A (388J)" <chris.a.mattm...@jpl.nasa.gov>
Subject Re: Java version for OODT components
Date Sat, 30 Jul 2011 00:26:14 GMT
Hi Cecilia,

Some of the components of Apache OODT explicitly require JDK6 (e.g., 
OPeNDAPps and others). See this thread here:

http://s.apache.org/nF

We've moved to JDK6 in the trunk, post 0.1-incubating, so 
if you use 0.2, or 0.3, you should upgrade to JDK6. This doesn't mean 
that some components won't work with JDK5, it just means we aren't 
officially supporting it anymore.

Cheers,
Chris

On Jul 26, 2011, at 7:40 AM, Cheng, Cecilia S (388K) wrote:

> Hi all,
> 
> Our project is using Java 1.5 to compile the OODT components. We would like to move to
Java 1.6 soon and need to estimate the amount of effort. I don’t suppose this takes a lot
of work, but want to just ask whether there are any known issues going from 1.5 to 1.6.
> 
> Thanks,
> Cecilia


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Chris Mattmann, Ph.D.
Senior Computer Scientist
NASA Jet Propulsion Laboratory Pasadena, CA 91109 USA
Office: 171-266B, Mailstop: 171-246
Email: chris.a.mattmann@nasa.gov
WWW:   http://sunset.usc.edu/~mattmann/
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Adjunct Assistant Professor, Computer Science Department
University of Southern California, Los Angeles, CA 90089 USA
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


Mime
View raw message